### Method

# Panel Widget set_icon_name

#### Declaration [src]

    void
    panel_widget_set_icon_name (
      PanelWidget* self,
      const char* icon_name
    )

#### Description [src]

Sets the icon name for the widget.

Sets property | `Panel.Widget:icon-name`

#### Parameters

`icon_name`

  Type: `const char*`

  The icon name or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.